
import java.util.*;
import java.io.*;

public class flashingflourescents_font
{
   public static void main(String[] args) throws Exception
   {
      PrintWriter out = new PrintWriter(System.out);
      new flashingflourescents_font(new FastScanner(System.in), out);
      out.close();
   }

   int oo = 987654321;
   int toMask(String s)
   {
      int res = 0;
      for (int i=0; i<s.length(); i++)
         if (s.charAt(i) == '1')
            res |= (1 << i);
      return res;
   }

   public flashingflourescents_font(FastScanner in, PrintWriter out)
   {
      // The idea in this problem is to work backwards. Finding the last flip is
      // easy. (It occurs last.) Then you can process the full flip from a given
      // time as it affects a range of lights (from now until the ending state).
      String s = in.next();
      int N = s.length();
      int[] dist = new int[1<<N];
      Arrays.fill(dist, oo);
      int allOn = (1<<N)-1;
      dist[allOn] = 0;
      int numOpen = (1<<N)-1;
      int numFlips = 0;
      while (numOpen > 0)
      {
         numFlips++; 
         for (int mask=0; mask<=allOn; mask++) if (dist[mask] < numFlips)
         {
            for (int button=0; button<N; button++)
            {
               int slide = Math.min(numFlips, N-button);
               int flipRange = (1<<(slide+button)) - (1<<button);
               int nmask = flipRange ^ mask;

               if (dist[nmask] == oo)
               {
                  dist[nmask] = numFlips;
                  numOpen--;
               }
            }
         }
      }

      out.println(dist[toMask(s)]);
   }
}

class FastScanner{
    private InputStream stream;
    private byte[] buf = new byte[1024];
    private int curChar;
    private int numChars;
    
    public FastScanner(InputStream stream)
    {
        this.stream = stream;
    }
    
    int read()
    {
        if (numChars == -1)
            throw new InputMismatchException();
        if (curChar >= numChars){
            curChar = 0;
            try{
                numChars = stream.read(buf);
            } catch (IOException e) {
                throw new InputMismatchException();
            }
            if (numChars <= 0)
                return -1;
        }
        return buf[curChar++];
    }
    
    boolean isSpaceChar(int c)
    {
        return c==' '||c=='\n'||c=='\r'||c=='\t'||c==-1;
    }
    
    boolean isEndline(int c)
    {
        return c=='\n'||c=='\r'||c==-1;
    }
    
    int nextInt()
    {
        return Integer.parseInt(next());
    }
    
    long nextLong()
    {
        return Long.parseLong(next());
    }
    
    double nextDouble()
    {
        return Double.parseDouble(next());
    }
    
    String next(){
        int c = read();
        while (isSpaceChar(c))
            c = read();
        StringBuilder res = new StringBuilder();
        do{
            res.appendCodePoint(c);
            c = read();
        }while(!isSpaceChar(c));
        return res.toString();
    }
    
    String nextLine(){
        int c = read();
        while (isEndline(c))
            c = read();
        StringBuilder res = new StringBuilder();
        do{
            res.appendCodePoint(c);
            c = read();
        }while(!isEndline(c));
        return res.toString();
    }
}
